%define snapshot 0

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 1
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 12

%define rel 1
%define pre rc

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtquickcontrols2 %mklibname qt5quickcontrols2_ %qtmajor
%define libqtquickcontrols2_d %mklibname qt5quickcontrols2 -d

%define libqtquicktemplates2 %mklibname qt5quicktemplates2_ %qtmajor
%define libqtquicktemplates2_d %mklibname qt5quicktemplates2 -d

%if %snapshot
%define qttarballdir qtquickcontrols2-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtquickcontrols2-everywhere-opensource-src-%{qtversion}
%endif

Name: qtquickcontrols25
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt5 - module with set of QtQuick controls
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     https://www.qt.io/
Source0: https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

# Upstream patchs
# https://community.kde.org/Qt5PatchCollection
Patch0001:      0001-Unset-mouseGrabberPopup-if-it-s-removed-from-childre.patch
Patch0002:      0002-Ensure-we-don-t-crash-when-changing-sizes-after-clea.patch
Patch0003:      0003-implement-a11y-pressing-of-qquickabstractbutton.patch
Patch0004:      0004-Fix-the-popup-position-of-a-Menu.patch
Patch0005:      0005-Accessibility-respect-value-in-attached-Accessible-i.patch

BuildRequires:  qtbase5-devel >= %version
BuildRequires:  pkgconfig(Qt5Quick) >= %version

Provides:       qtquickcontrols2 = %version-%release
Provides:       qt5-qtquickcontrols2 = %version-%release

#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
The Qt Quick Controls module provides a set of controls that can be used to
build complete interfaces in Qt Quick.

%files
%_qt5_qml/Qt/labs/calendar
%_qt5_qml/QtQuick/Controls.2
%_qt5_qml/Qt/labs/platform
%_qt5_qml/QtQuick/Templates.2
%_qt5_examplesdir/quickcontrols2

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtQuickControls2%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtQuickControls25 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtlabscalendar.qch
%{_qt5_docdir}/qtlabscalendar/
%{_qt5_docdir}/qtlabsplatform.qch
%{_qt5_docdir}/qtlabsplatform/
%{_qt5_docdir}/qtquickcontrols.qch
%{_qt5_docdir}/qtquickcontrols/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2}
Summary: Qt%{qtmajor} QuickControls2 Library
Group: System/Libraries

Provides:  %{_lib}qt5labstemplates5 = %{version}-%{release}
Obsoletes: %{_lib}qt5labstemplates5 < 5.13.0-4

%description -n %{libqtquickcontrols2}
Qt%{qtmajor} QuickControls2 Component Library.

%files -n %{libqtquickcontrols2}
%{_qt5_libdir}/libQt5QuickControls2.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquicktemplates2}
Summary: Qt%{qtmajor} QuickTemplates2 Library
Group: System/Libraries

Provides:  %{_lib}qt5quicktemplates5 = %{version}-%{release}
Obsoletes: %{_lib}qt5quicktemplates5 < 5.13.0-4

%description -n %{libqtquicktemplates2}
Qt%{qtmajor} QuickTemplates2 Component Library.

%files -n %{libqtquicktemplates2}
%{_qt5_libdir}/libQt5QuickTemplates2.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtquickcontrols2_d}
Summary: Devel files needed to build apps based on QtQuickControls2
Group:    Development/KDE and Qt
Requires: %{libqtquickcontrols2} = %version
Provides: libqtquickcontrols25-devel = %version
Provides: libqt5quickcontrols2-devel = %version
Provides: qtquickcontrols25-devel = %version
Provides: qt5quickcontrols2-devel = %version
Provides: qt5-qtquickcontrols2-devel = %version

Provides:  %{_lib}qt5labstemplates-devel = %version-%release
Obsoletes: %{_lib}qt5labstemplates-devel < 5.13.0-4

%description -n %{libqtquickcontrols2_d}
Devel files needed to build apps based on QtQuickControls2.

%files -n %{libqtquickcontrols2_d}
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2_private.pri
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_quickcontrols2.pri
%{_qt5_libdir}/libQt5QuickControls2.so
%{_qt5_libdir}/libQt5QuickControls2.prl
%{_qt5_libdir}/cmake/Qt5QuickControls2/
%{_qt5_libdir}/pkgconfig/Qt5QuickControls2.pc
%{_qt5_includedir}/QtQuickControls2/

#------------------------------------------------------------------------------

%package -n %{libqtquicktemplates2_d}
Summary: Devel files needed to build apps based on QuickTemplates2
Group:    Development/KDE and Qt
Requires: %{libqtquicktemplates2} = %version
Provides: libqtquicktemplates5-devel = %version
Provides: qtquicktemplates5-devel = %version

Provides:  %{_lib}qt5quicktemplates-devel = %version-%release
Obsoletes: %{_lib}qt5quicktemplates-devel < 5.13.0-4

%description -n %{libqtquicktemplates2_d}
Devel files needed to build apps based on QuickTemplates2.

%files -n %{libqtquicktemplates2_d}
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_quicktemplates2.pri
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_quicktemplates2_private.pri
%{_qt5_libdir}/libQt5QuickTemplates2.so
%{_qt5_includedir}/QtQuickTemplates2/
%{_qt5_libdir}/libQt5QuickTemplates2.prl
%{_qt5_libdir}/cmake/Qt5QuickTemplates2/
%{_qt5_libdir}/pkgconfig/Qt5QuickTemplates2.pc

#------------------------------------------------------------------------------

%prep
%setup -q -n qtquickcontrols2-everywhere-src-%{qtversion}
%autopatch -p1

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

find %{buildroot} -name '*.la' -delete


%changelog
* Tue Jan 16 2024 neoclust <neoclust> 5.15.12-1.mga10
+ Revision: 2031616
- New version 5.15.12

* Wed Dec 14 2022 akien <akien> 5.15.7-1.mga9
+ Revision: 1922019
- Version 5.15.7

* Sat Sep 10 2022 neoclust <neoclust> 5.15.6-1.mga9
+ Revision: 1886281
- New version 5.15.6

* Sat Aug 27 2022 neoclust <neoclust> 5.15.5-1.mga9
+ Revision: 1881003
- New version 5.15.5

* Mon Apr 04 2022 umeabot <umeabot> 5.15.2-4.mga9
+ Revision: 1843614
- Mageia 9 Mass Rebuild

* Thu May 13 2021 daviddavid <daviddavid> 5.15.2-3.mga9
+ Revision: 1722732
- fix dependencies from QuickTemplates2 devel sub-pkg
- enable build of docs
+ wally <wally>
- add qt5-qtquickcontrols2-devel provides

* Mon Apr 05 2021 wally <wally> 5.15.2-2.mga9
+ Revision: 1713424
- add qt5-qtquickcontrols2 provides

* Fri Dec 04 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652461
- New version 5.15.2

* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1624913
- New version 5.15.1

* Wed Jun 03 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1589826
- New version 5.15.0
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-2.mga8
+ Revision: 1545413
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1484401
- New version 5.14.1

* Sun Sep 08 2019 neoclust <neoclust> 5.13.1-1.mga8
+ Revision: 1438494
- New version 5.13.1

* Thu Jul 25 2019 daviddavid <daviddavid> 5.13.0-4.mga8
+ Revision: 1423950
- obsoletes/provides qt5quicktemplates5 not qt5quicktemplates

* Thu Jul 25 2019 daviddavid <daviddavid> 5.13.0-3.mga8
+ Revision: 1423949
- fix some devel and libraries pkg-name
- fix some summaries and descriptions

* Sun Jul 14 2019 neoclust <neoclust> 5.13.0-2.mga8
+ Revision: 1421116
- Rebuild for new mkspecs macros

* Thu Jul 04 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1418201
- New version 5.13.0

* Mon Apr 01 2019 umeabot <umeabot> 5.12.2-2.mga7
+ Revision: 1384469
- Qt5 Rebuild

* Mon Mar 18 2019 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1378540
- New version 5.12.2

* Fri Feb 01 2019 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1362285
- New version 5.12.1

* Sun Dec 09 2018 neoclust <neoclust> 5.12.0-1.mga7
+ Revision: 1339140
- New version 5.12.0

* Tue Oct 09 2018 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1319029
- New version 5.11.2

* Sun Sep 23 2018 umeabot <umeabot> 5.11.1-2.mga7
+ Revision: 1300718
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1245816
- New version 5.11.1

* Fri May 25 2018 neoclust <neoclust> 5.11.0-1.mga7
+ Revision: 1232115
- New version 5.11.0

* Mon Apr 09 2018 neoclust <neoclust> 5.10.1-1.mga7
+ Revision: 1216509
- New version 5.10.1

* Wed Feb 28 2018 neoclust <neoclust> 5.9.4-1.mga7
+ Revision: 1205681
- New version 5.9.4

* Mon Dec 18 2017 neoclust <neoclust> 5.9.3-1.mga7
+ Revision: 1183187
- New version 5.9.3

* Tue Jul 25 2017 daviddavid <daviddavid> 5.9.1-4.mga7
+ Revision: 1130733
- again more file fixing

* Tue Jul 25 2017 neoclust <neoclust> 5.9.1-3.mga7
+ Revision: 1130426
- More file fixing

* Tue Jul 25 2017 neoclust <neoclust> 5.9.1-2.mga7
+ Revision: 1130397
- Fix file list

* Thu Jul 20 2017 neoclust <neoclust> 5.9.1-1.mga7
+ Revision: 1125561
- New version 5.9.1

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064862
- New version 5.6.2

* Fri Sep 02 2016 daviddavid <daviddavid> 5.6.1-3.mga6
+ Revision: 1049789
- build missing docs part (mga#9812)
- add qtquickcontrols25-doc subpackage

* Sun Jul 03 2016 neoclust <neoclust> 5.6.1-2.mga6
+ Revision: 1038377
- Update to version 5.6.1-1
- New version

* Thu Mar 17 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 992494
+ rebuild (emptylog)

* Wed Mar 09 2016 neoclust <neoclust> 5.6.0-0.rc.2.mga6
+ Revision: 987878
- Rebuild Qt5 Stack to fix plasma crashes

* Tue Mar 01 2016 neoclust <neoclust> 5.6.0-0.rc.1.mga6
+ Revision: 981456
+ rebuild (emptylog)

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 915937
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.2.mga6
+ Revision: 915760
- Rebuild against new cmake to have cmake() provides
- imported package qtquickcontrols25

